I can’t start squid without problems under pfSense 1.0.1



  • I am looking for a reliable and easy proxy/firewall for about 60 users, I found pfSense and made some tests under Vmware Server 1.0.1.

    1)I installed new clear pfSense 1.0.1, snort 2.6.1.3_2 and squid 2.6.5_1-p15 packages.
    It seems that squid works, but during reboot pfSense stops at the line:
    "Stopping /usr/ local/etc/rc.d/proxy_monitor.sh…"

    1. At next step I installed current pfSense 1.0.1-SNAPSHOT-03-15-2007
      (built on Sat Mar 17 10:47:32 EDT 2007), snort 2.6.1.3_2 and squid 2.6.5_1-p15 packages.

    During restart I observed messages:
    “Beginning package installation for 0…
    Installing squid and its dependencies
    (.....)
    Squid cache... One moment please...”

    ..and I had about 8 squid's under Status–>Services

    Next, I uninstalled and reinstalled squid from the package GUI, and during restart I don’t have messages about installation but I see:
    “Syncing packages: XML error: not well-formed (invalid token) at line 1”

    I have just one squid under Status–>Services, but…

    …when I want change proxy port and click save button.. I have the message:
    “The following input errors were detected: You can not run squid on the same port as the webgui”

    Transparent proxy is disabled….
    I uninstalled snort but no difference.…

    Is it possible to use squid module in productional environment or it is not yet enough stable version?



  • Upgrade to a recent snapshot.



  • I installed from the iso image (http://snapshots.pfsense.com/FreeBSD6/RELENG_1/iso/pfSense.iso.gz):
    1.0.1-SNAPSHOT-03-15-2007
    (built on Mon Mar 19 15:39:33 EDT 2007)

    …..no difference with last:
    1.0.1-SNAPSHOT-03-15-2007
    (built on Sat Mar 17 10:47:32 EDT 2007)



  • I discovered that the message “You can not run squid on the same port as the webgui” appears during the configuration using HTTPS as webGUI protocol only.



  • move the gui to a diferent port
    like 10000



  • Hello,

    I have the same situation with:

    1)I installed new clear pfSense 1.0.1 and squid 2.6.5_1-p15 packages.
    It seems that squid works, but during reboot pfSense stops at the line:
    "Stopping /usr/ local/etc/rc.d/proxy_monitor.sh…"

    The webgui port is 10000.



  • Squid requires a recent snapshot.  Search the forum.



  • Same problems with 1.0.1-SNAPSHOT-03-27-2007



  • Sorry but I am not seeing this problem on the latest snapshot.  Maybe a reinstall is in order.



  • I had a similar problem with a latest snapshot (13 april 2007). I found a error in a squid.log: /var/squid/cache/swap.state: (13) Permission denied. Squid not started and proxy_monitor.sh tries to start it again and again. After chmod /var/squid/cache/swap.state all working fine.





  • Should be fixed now.  Thanks.


Log in to reply